services:
    SmartCoreBundle\Mailer\DefaultMailer:
        arguments:
            - '@twig'
            - '@translator'
            - '@security.token_storage'
            - '%smart_core.mailer.sender_address%'
            - '%smart_core.mailer.sender_name%'
            - '@mailer'
            - '%env(MAILER_URL)%'
            - '%env(SMART_PROJECT_NAME)%'
            - '%env(SMART_HOST_ENV)%'
        public: true

    smart_core.mailer:
        alias: SmartCoreBundle\Mailer\DefaultMailer
        public: true
